<html>
  <head>
    <title>Alpha File Services for Inkscape</title>
    <link href="/css/alpha.css" rel="stylesheet">
    <style>
      .center_div {
      border: 1px solid gray;
      margin-left: auto;
      margin-right: auto;
      width: 70%;
      background-color: #d0f0f6;
      text-align: left;
      padding: 8px;
      }
    </style>
  </head>
  <body>
    <div class="center_div">
      <h1>Alpha File Services for Inkscape</h1>
      <p>
	This is a temporary web host for basic file sharing between
	inkscape developers while more formalized services are under
	development.      
      </p>
      <p>
	Alpha is not under configuration version control, and is not
	backed up, so make sure anything kept here is also safely stored
	elsewhere too.
      </p>
      <h2>Account Access</h2>
      <p>
	Established Inkscape team members may request an SSH account on
	this machine by emailing bryce with:
      </p>
      <ol>
	<li>Your desired login name</li>
	<li>Your ssh public key</li>
	<li>Your email address</li>
	<li>Your gitlab username</li>
	<li>Rationale for access (i.e. what kinds of files do you plan
    	  to upload, etc.)</li>
      </ol>
      <p>
	Your gitlab account will be used to determine which team(s)
	you're a member of.  Your account will be set up with access to
	directories and files owned by that group.  (If you join other
	gitlab teams in the future, you'll need to manually request
	those groups be added to your account here too.)
      </p>
      <p>
	This procedure will be changed as we get better administrative
	tools and scripts online.
      </p>
      <h2>File Services</h2>
      <p>
	Bulk storage is configured for this system, and can be increased
	as needed if it runs low or if larger amounts are anticipated.
	Contact bryce for help.
      </p>
      <p>
	This system is not intended for heavy traffic loads; please do
	not use this for files that will generate excess numbers of
	hits.  Use robots.txt, basic auth, and other mechanisms to help
	constrain access to potentially problematic files.  If any files
	are found to be causing too high of loads, access limitations
	may be imposed on them by administrators.
      </p>
      <h2>Server End of Life</h2>
      <p>
	This host will be kept available at least through the end of
	2018, possibly longer, but will eventually be retired when we
	have something to replace it.  So you should plan to migrate
	your materials at some point.
      </p>
      <p>
	Prior to EOL of this system, all emails on record will be
	notified.  The timeline for retirement will also be posted to
	this page once we have a schedule.
      </p>
    </div>
  </body>
</html>
